Summary: LDAP libraries.
Name: openldap12
Version: 1.2.13
Release: 9
License: OpenLDAP
Group: System Environment/Daemons
Source0: ftp://ftp.OpenLDAP.org/pub/OpenLDAP/openldap-release/openldap-%{version}.tgz
Patch0: openldap-1.2.11-config.patch
Patch1: openldap-1.2.11-redhat.patch
Patch2: openldap-1.2.11-cldap.patch
Patch3: openldap-1.2.12-libpath.patch
Patch4: openldap-1.2.12-libs.patch
Patch5: openldap-2.0.27-susesec.patch
URL: http://www.openldap.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: autoconf, gdbm-devel

%description
OpenLDAP is an open source suite of LDAP (Lightweight Directory Access
Protocol) applications and development tools.  LDAP is a set of
protocols for accessing directory services (usually phone book style
information, but other information is possible) over the Internet,
similar to the way DNS (Domain Name System) information is propagated
over the Internet.  The suite includes a stand-alone LDAP server
(slapd), a stand-alone LDAP replication server (slurpd), libraries for
implementing the LDAP protocol, utilities, tools, and sample clients,
but this package only includes the shared libraries.  Install openldap12
if you have LDAP applications and tools which require OpenLDAP 1.2's
shared libraries.

%prep
%setup -q -n openldap-%{version}
%patch0 -p1 -b .config
%patch1 -p1 -b .redhat
%patch2 -p1 -b .cldap
%patch3 -p1 -b .libpath
%patch4 -p1 -b .libs
%patch5 -p0 -b .susesec

%build
CPPFLAGS="-I/usr/kerberos/include"; export CPPFLAGS
CFLAGS="$RPM_OPT_FLAGS -D_REENTRANT"; export CFLAGS
LDFLAGS="-L/usr/kerberos/%{_lib}"; export LDFLAGS
%configure --with-slapd --without-slurpd --without-ldapd \
	--enable-shared --without-threads \
	--with-ldbm-api=gdbm \
	--enable-cldap --disable-rlookups \
	--enable-passwd --with-kerberos \
	--enable-shell --enable-wrappers \
        --datadir=%{_datadir}/openldap \
	--libexecdir=%{_sbindir} \
	--localstatedir=%{_var}/run
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
%makeinstall \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	datadir=$RPM_BUILD_ROOT%{_datadir}/openldap \
	libexecdir=$RPM_BUILD_ROOT%{_sbindir} \
	localstatedir=%{_var}/run \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}/openldap

# Remove files which a binary compat package needn't include.
rm -f $RPM_BUILD_ROOT/%{_bindir}/*
rm -f $RPM_BUILD_ROOT/%{_sbindir}/centipede
rm -f $RPM_BUILD_ROOT/%{_sbindir}/fax500
rm -f $RPM_BUILD_ROOT/%{_sbindir}/go500
rm -f $RPM_BUILD_ROOT/%{_sbindir}/go500gw
rm -f $RPM_BUILD_ROOT/%{_sbindir}/in.xfingerd
rm -f $RPM_BUILD_ROOT/%{_sbindir}/ldbmtest
rm -f $RPM_BUILD_ROOT/%{_sbindir}/ldif
rm -f $RPM_BUILD_ROOT/%{_sbindir}/ldif2id2children
rm -f $RPM_BUILD_ROOT/%{_sbindir}/ldif2id2entry
rm -f $RPM_BUILD_ROOT/%{_sbindir}/ldif2index
rm -f $RPM_BUILD_ROOT/%{_sbindir}/ldif2ldbm
rm -f $RPM_BUILD_ROOT/%{_sbindir}/mail500
rm -f $RPM_BUILD_ROOT/%{_sbindir}/rcpt500
rm -f $RPM_BUILD_ROOT/%{_sbindir}/rp500
rm -f $RPM_BUILD_ROOT/%{_sbindir}/slapd
rm -f $RPM_BUILD_ROOT/%{_sbindir}/xrpcomp
rm -f $RPM_BUILD_ROOT/%{_includedir}/*
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man3/*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man5/*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/centipede.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/chlog2replog.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/edb2ldif.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/go500.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/go500gw.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/in.xfingerd.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/ldapd.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/ldif.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/ldif2ldbm.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/mail500.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/rcpt500.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/slapd.8*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/slurpd.8*
rm -fr $RPM_BUILD_ROOT/%{_datadir}/openldap
rm -fr $RPM_BUILD_ROOT/%{_sysconfdir}/openldap

%clean 
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCEMENT CHANGES COPYRIGHT LICENSE README
%attr(0755,root,root) %{_sbindir}/ldbmcat
%attr(0644,root,root) %{_mandir}/man*/ldbmcat.*
%attr(0755,root,root) %{_libdir}/lib*.so.*

%changelog
* Mon Jan 27 2003 Nalin Dahyabhai <nalin@redhat.com> 1.2.13-9
- rebuild

* Mon Jan 27 2003 Nalin Dahyabhai <nalin@redhat.com> 1.2.13-8
- add severely backported version of patch from SuSE audit

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 1.2.13-7
- rebuilt

* Tue Nov 19 2002 Nalin Dahyabhai <nalin@redhat.com> 1.2.13-6
- look for Kerberos libraries in /usr/kerberos/%%{_lib}, not /usr/kerberos/lib
- remove unpackaged files from the buildroot at the end of %%install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 1.2.13-3
- rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Sep 10 2001 Nalin Dahyabhai <nalin@redhat.com> 1.2.13-1
- update to 1.2.13

* Fri Jul 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- clean up link path problems
- rebuild

* Wed Jul 18 2001 Nalin Dahyabhai <nalin@redhat.com>
- prep for errata

* Wed May 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.12
- link libldap with liblber
- drop patches which don't affect the shared libraries

* Thu Oct 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- add ldbmcat (for use in migrating to OpenLDAP 2.x)

* Thu Oct  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix the description -- this package is not named openldap10, but openldap12

* Tue Oct  3 2000 Bill Nottingham <notting@redhat.com>
- remove that obsoletes for the time being

* Fri Sep  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- rename to openldap12

* Tue Aug 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove that pesky default password
- change "Copyright:" to "License:"

* Sun Aug 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- adjust permissions in files lists
- move libexecdir from %{_prefix}/sbin to %{_sbindir}

* Fri Aug 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- add migrate_automount.pl to the migration scripts set

* Tue Aug  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- build a semistatic slurpd with threads, everything else without
- disable reverse lookups, per email on OpenLDAP mailing lists
- make sure the execute bits are set on the shared libraries

* Mon Jul 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- change logging facility used from local4 to daemon (#11047)

* Thu Jul 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- split off clients and servers to shrink down the package and remove the
  base package's dependency on Perl
- make certain that the binaries have sane permissions

* Mon Jul 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- move the init script back

* Thu Jul 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak the init script to only source /etc/sysconfig/network if it's found

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- switch to gdbm; I'm getting off the db merry-go-round
- tweak the init script some more
- add instdir to @INC in migration scripts

* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak init script to return error codes properly
- change initscripts dependency to one on /etc/init.d

* Tue Jul  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- prereq initscripts
- make migration scripts use mktemp

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- do condrestart in post and stop in preun
- move init script to /etc/init.d

* Fri Jun 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.11
- add condrestart logic to init script
- munge migration scripts so that you don't have to be 
  /usr/share/openldap/migration to run them
- add code to create pid files in /var/run

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS tweaks
- fix for compiling with libdb2

* Thu May  4 2000 Bill Nottingham <notting@redhat.com>
- minor tweak so it builds on ia64

* Wed May  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- more minimalistic fix for bug #11111 after consultation with OpenLDAP team
- backport replacement for the ldapuser patch

* Tue May  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix segfaults from queries with commas in them in in.xfingerd (bug #11111)

* Tue Apr 25 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.10
- add revamped version of patch from kos@bastard.net to allow execution as
  any non-root user
- remove test suite from %build because of weirdness in the build system

* Wed Apr 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- move the defaults for databases and whatnot to /var/lib/ldap (bug #10714)
- fix some possible string-handling problems

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- start earlier, stop later.

* Thu Feb  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- auto rebuild in new environment (release 4)

* Tue Feb  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- add -D_REENTRANT to make threaded stuff more stable, even though it looks
  like the sources define it, too
- mark *.ph files in migration tools as config files

* Fri Jan 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.2.9

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip files

* Sat Sep 11 1999 Bill Nottingham <notting@redhat.com>
- update to 1.2.7
- fix some bugs from bugzilla (#4885, #4887, #4888, #4967)
- take include files out of base package

* Fri Aug 27 1999 Jeff Johnson <jbj@redhat.com>
- missing ;; in init script reload) (#4734).

* Tue Aug 24 1999 Cristian Gafton <gafton@redhat.com>
- move stuff from /usr/libexec to /usr/sbin
- relocate config dirs to /etc/openldap

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Wed Aug 11 1999 Cristian Gafton <gafton@redhat.com>
- add the migration tools to the package

* Fri Aug 06 1999 Cristian Gafton <gafton@redhat.com>
- upgrade to 1.2.6
- add rc.d script
- split -devel package

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgrade to latest stable (1.1.4), it now uses configure macro.

* Fri Jan 15 1999 Bill Nottingham <notting@redhat.com>
- build on arm, glibc2.1

* Wed Oct 28 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
- patches for signal handling on the alpha
